abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Willem Jiang (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ABDERA-293) Abdera-core should support the import the javax* package from JRE
Date Sat, 19 Nov 2011 09:40:51 GMT

     [ https://issues.apache.org/jira/browse/ABDERA-293?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Willem Jiang updated ABDERA-293:
--------------------------------

    Attachment: patch.txt
    
> Abdera-core should support the import the javax* package from JRE
> -----------------------------------------------------------------
>
>                 Key: ABDERA-293
>                 URL: https://issues.apache.org/jira/browse/ABDERA-293
>             Project: Abdera
>          Issue Type: Improvement
>            Reporter: Willem Jiang
>             Fix For: 1.2
>
>         Attachments: patch.txt
>
>
> When OSGi runtime exports the packages from the JRE, the package doesn't have the version
number.
> abdera core osgi bundle imports packages of the activation and stax API which are shipped
by JRE 1.6,
> So the bundle which imports these jaxax package should have the version range from [0,x)
to support to import package from JRE.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message